Settings.DefaultSetting (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class Settings.DefaultSetting<T>

- java.lang.Object
- - org.neo4j.helpers.Settings.DefaultSetting<T>

- Enclosing class:
    Settings

      public static class Settings.DefaultSetting<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings.DefaultSetting(String name, Function<String,T> parser, Function<Function<String,String>,String> valueLookup, Function<Function<String,String>,String> defaultLookup, Function2<T,Function<String,String>,T>... valueConverters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `apply(Function<String,String> settings)` Apply a value to this function
    `String` | `defaultLookup(Function<String,String> settings)`
    `String` | `getDefaultValue()` Get the default value of this setting, as a string.
    `String` | `lookup(Function<String,String> settings)`
    `String` | `name()` Get the name of the setting.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Settings.DefaultSetting

          public Settings.DefaultSetting(String name,
                                 Function<String,T> parser,
                                 Function<Function<String,String>,String> valueLookup,
                                 Function<Function<String,String>,String> defaultLookup,
                                 Function2<T,Function<String,String>,T>... valueConverters)

  - ### Method Detail

    - #### name

          public String name()

      Description copied from interface: `Setting`
      Get the name of the setting. This typically corresponds to a key in a properties file, or similar.
      Returns:
        the name

    - #### getDefaultValue

          public String getDefaultValue()

      Description copied from interface: `Setting`
      Get the default value of this setting, as a string.
      Returns:
        the default value

    - #### lookup

          public String lookup(Function<String,String> settings)

    - #### defaultLookup

          public String defaultLookup(Function<String,String> settings)

    - #### apply

          public T apply(Function<String,String> settings)

      Description copied from interface: `Function`
      Apply a value to this function
      Parameters:
        `settings` - the input item
      Returns:
        the mapped item

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.